Event
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
PATCH | |
DELETE |
List all event schemas
Required API key scopes
event_definition:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /event_schemasexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/event_schemas/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/event_schemas/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"count": 123,"next": "http://api.example.org/accounts/?offset=400&limit=100","previous": "http://api.example.org/accounts/?offset=200&limit=100","results": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","event_definition": "ec69eb9a-3cc9-4166-b5c6-93289798a853","property_group": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","properties": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","property_type": "DateTime","is_required": true,"is_optional_in_types": true,"description": "string","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z"}],"events": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string"}],"created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"}},"property_group_id": "f6990463-f3cf-4f9d-9034-456931052b2b","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z"}]}
Create event schemas
Required API key scopes
event_definition:writeRequest parameters
- event_definitionstring
- property_group_idstring
Response
Example request
POST /api /projects /:project_id /event_schemasexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/event_schemas/\-d event_definition="string",\-d property_group_id="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/event_schemas/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},data={"event_definition": "string","property_group_id": "string"}).json()
Example response
Status 201
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","event_definition": "ec69eb9a-3cc9-4166-b5c6-93289798a853","property_group": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","properties": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","property_type": "DateTime","is_required": true,"is_optional_in_types": true,"description": "string","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z"}],"events": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string"}],"created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"}},"property_group_id": "f6990463-f3cf-4f9d-9034-456931052b2b","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z"}
Update event schemas
Required API key scopes
event_definition:writePath parameters
- idstring
Request parameters
- event_definitionstring
- property_group_idstring
Response
Example request
PATCH /api /projects /:project_id /event_schemas /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/event_schemas/:id/\-d event_definition="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/event_schemas/{event_schema_id}/".format(project_id=project_id,event_schema_id="<the event schema id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"event_definition": "string"}).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","event_definition": "ec69eb9a-3cc9-4166-b5c6-93289798a853","property_group": {"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","properties": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","property_type": "DateTime","is_required": true,"is_optional_in_types": true,"description": "string","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z"}],"events": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string"}],"created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"}},"property_group_id": "f6990463-f3cf-4f9d-9034-456931052b2b","created_at": "2019-08-24T14:15:22Z","updated_at": "2019-08-24T14:15:22Z"}
Delete event schemas
Required API key scopes
event_definition:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /event_schemas /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/event_schemas/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/event_schemas/{event_schema_id}/".format(project_id=project_id,event_schema_id="<the event schema id>"),headers={"Authorization": "Bearer {}".format(api_key)},)